Announcement Announcement Module
Collapse
No announcement yet.
Build on top of spring-framework-3.0.4.RELEASE Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Build on top of spring-framework-3.0.4.RELEASE

    Hi everybody...

    Is there a version of Spring Rich "aligned with" "spring-framework-3.0.4.RELEASE", or, at least 3.0.X?

    If not, can someone tell me if there are plans to do it?

    Thanks,
    Rui.

  • #2
    Spring 3.x is not supported at this time and looking at the current source repository no commits have been done in over 17 months now.

    http://spring-rich-c.svn.sourceforge...chclient-1.1.0

    Recently there was a partially completed attempt to move Spring Rich to GitHub but that seems to have died out as well, as nothing has been done other than setting up the project and doing an initial import.

    I have set up a local build myself to attempt to modify things to work with Spring 3.x but I've got a lot on my plate at the moment so I won't have time to work on it for a couple months yet.

    What you can do, and the way I have my projects set up, is I use Spring framework 3.0.5 on my web application, along with spring security 2.0.6 and on the Spring Rich client side I use Spring framework 2.5.6SEC02 and Spring Security 2.0.6. This allows me to use spring 3.x on the server side where I need it most anyway. Hope this answered your questions.

    Comment


    • #3
      Bluebell has successfully migrated Spring RCP to Spring 3.x versions.
      http://saber.b2b2000.com/display/BLUE/Bluebell

      Never mind if you don't want to employ Bluebell related classes, in such a case you just need to use bluebell-richclient module and load application context like Bluebell does.

      Comment

      Working...
      X